Unschedule a campaign
curl --request POST \
--url https://app.lettr.com/api/campaigns/{campaignId}/unschedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lettr.com/api/campaigns/{campaignId}/unschedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lettr.com/api/campaigns/{campaignId}/unschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Campaign scheduled for delivery.",
"data": {
"id": "0193e6a8-1f3a-7c2a-b9e2-1aa1d2e5d3f0",
"name": "Spring Sale",
"status": "sent",
"sent_count": 124,
"created_at": "2026-05-01T09:00:00+00:00",
"stats": {
"injections": 0,
"deliveries": 0,
"bounces": 0,
"spam_complaints": 0,
"opens": 0,
"unique_opens": 0,
"clicks": 0,
"unique_clicks": 0,
"unsubscribes": 0
},
"subject": "<string>",
"from_email": "jsmith@example.com",
"from_name": "<string>",
"reply_to": "jsmith@example.com",
"scheduled_at": "2023-11-07T05:31:56Z",
"total_recipients": 123,
"sent_at": "2023-11-07T05:31:56Z"
}
}
Campaigns
Unschedule a campaign
Cancels a scheduled send, returning the campaign to draft. The campaign must currently be scheduled. Requires the campaigns:write scope. Not available to sandbox keys.
POST
/
campaigns
/
{campaignId}
/
unschedule
Unschedule a campaign
Cancels a scheduled send, returning the campaign to
draft. The campaign must currently be scheduled. Requires the campaigns:write scope. Not available to sandbox keys.Authorizations
API key for authentication
Path Parameters
Campaign ID
Was this page helpful?
⌘I